Bug 1126889 - MySQL and PostgreSQL bindings (gems) for ror40 / ruby200
Summary: MySQL and PostgreSQL bindings (gems) for ror40 / ruby200
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: distribution
Version: ror40
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Brian Gollaher
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 14:10 UTC by William Yardley
Modified: 2017-03-31 15:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 15:02:02 UTC


Attachments (Terms of Use)

Description William Yardley 2014-08-05 14:10:37 UTC
Description of problem:
per message-ID 1788877895.32552597.1407232362859.JavaMail.zimbra@redhat.com on the SCL list, I'd like to request that the gems with db bindings for MySQL (or MySQL5.5 from SCL) and PostgreSQL be built for ror404. These (especially MySQL) should surely be very common use cases, and because they're compiled against system libraries, they're less easily able to be installed using bundler than other gems.

While other packages such as Mongodb may be growing in popularity, I can't imagine that MySQL (especially) is not an extremely common use case / requirement for users of RonR.

TIA. Let me know if you need any more information.

Comment 2 William Yardley 2014-08-14 22:02:00 UTC
Specifically, we want the 'mysql2' gem, which I think is newer / more widely used than the 'mysql' one.

btw, with the ruby200-ruby-devel package, this is all a little less critical, since we can use Bundler to install the compiled gems into the application, however, it would still be nice to see these bindings.

In addition a package for the ruby-ldap and rmagick gems would be helpful.

Comment 3 William Yardley 2014-08-14 22:02:21 UTC
And the PostgreSQL driver gem is called 'pg'

Comment 4 Vít Ondruch 2014-08-15 07:57:15 UTC
(In reply to William Yardley from comment #2)
> In addition a package for the ruby-ldap and rmagick gems would be helpful.

Could you please fill the bugs separately? Now we have already 4 packages (without their dependencies) mentioned in this ticket and the only thing they share is that they are written in Ruby.

Comment 5 William Yardley 2014-08-19 19:05:22 UTC
Sorry about that, yes, I will file a separate bug for those.

Comment 7 Joe Orton 2016-10-12 12:52:33 UTC
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (October 2016) after which customers are encouraged either to upgrade to a later release or continue on as self-supported without official Red Hat Support.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Comment 8 Joe Orton 2017-03-31 15:02:02 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.